/* AMX Mod script. 
* Thothie's Server Heart Beat
*
* Writes to a file once a minute
* This file can be used to verify the server is alive by external program.
*
* For use with Thothie's HLDS restarted
* 
* No Warranties. Distribute freely.
*/ 


#include <amxmod>  
#include <file.inc>

public plugin_init() {  
	register_plugin( "ServerHeartbeat","1.1","Thothie" ); 
   	heartbeat();
}  


public heartbeat() {
	delete_file ( "heartbeat.txt" );
   	set_task( 30.0, "heartbeat" );
}

public plugin_end() {
   	heartbeat();
}